Bug 237849 - lenovo X60 needs quirk in fdi file.
lenovo X60 needs quirk in fdi file.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 13:52 EDT by Dave Jones
Modified: 2015-01-04 17:29 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:33:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2007-04-25 13:52:18 EDT
This needs to be added to
/usr/share/hal/fdi/information/10freedesktop/20-video-quirk-pm-lenovo.fdi
for suspend to ram to come back with video..

      <match key="system.hardware.product" prefix="63664DU">
        <merge key="power_management.quirk.vbe_post" type="bool">true</merge>
      </match>
Comment 1 David Zeuthen 2007-04-25 16:33:47 EDT
Committed upstream

http://gitweb.freedesktop.org/?p=hal-info.git;a=commitdiff;h=29de0a30e5c8bae35055953894ce6a4c16674b53

Will build a new hal-info release shortly.
Comment 2 David Zeuthen 2007-04-25 16:34:29 EDT
(reassigning to hal-info)
Comment 3 Matthias Clasen 2007-04-25 19:49:39 EDT
Whee, splitting off hal-info pays off already
Comment 4 Bryan O'Sullivan 2007-06-21 02:03:29 EDT
Here's another:

      <match key="system.hardware.product" prefix="1709">
        <merge key="power_management.quirk.s3_bios" type="bool">true</merge>
        <merge key="power_management.quirk.s3_mode" type="bool">true</merge>
      </match>
Comment 5 Dave Jones 2007-07-12 16:56:19 EDT
The original quirk I filed above is in the latest update, Bryan's doesn't seem
to be.  Bryan, what model laptop is that for ?   I'm guessing something like a T60 ?
Comment 6 Bryan O'Sullivan 2007-07-12 17:12:58 EDT
Dave, mine's an X60 as well, model 1709CTO.
Comment 7 Bryan O'Sullivan 2007-07-12 17:15:10 EDT
Jeremy Fitzhardinge mentioned something about his X60 still not resuming from
hibernate properly, even with my quirk present.  Maybe he can elaborate?
Comment 8 Jeremy Fitzhardinge 2007-07-12 17:21:06 EDT
Current FC7 kernel kernel-2.6.21-1.3228.fc7 does not resume for me.  On resume,
it sits there in text mode with "inux" in yellow in the upper-left of the screen
(first line, ~5-6 characters in from the edge).  The capslock light responds,
but attempting to switch to the X VT locks up the machine fully.

Current top-of-tree linux kernels built from git suspend and resume without
problems.

In addition to the quirk entry, I also boot with acpi_sleep=s3_bios, which is
what I needed to make FC6 suspend/resume properly.  It doesn't seem to make any
difference in this case, and I think its redundant anyway.
Comment 9 Bryan Che 2007-07-14 01:15:22 EDT
I have the same issues as Jeremy (comment #8) on my Thinkpad T60 with
2.6.21-1.3228.fc7.
Comment 10 Jeremy Fitzhardinge 2007-07-14 11:22:23 EDT
BTW, my machine is an X60, model 170997U.
Comment 11 Bug Zapper 2008-04-03 20:16:24 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 12 Bug Zapper 2008-05-06 21:33:56 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.